qpid::console::Event Class Reference

Apache Qpid - AMQP Messaging for Java JMS, C++, Python, Ruby, and .NET | Apache Qpid Documentation

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions
qpid::console::Event Class Reference

`#include <qpid/console/Event.h>`

List of all members.

## Public Types
enum | Severity { SEV_EMERGENCY = 0, SEV_ALERT = 1, SEV_CRITICAL = 2, SEV_ERROR = 3, SEV_WARNING = 4, SEV_NOTICE = 5, SEV_INFO = 6, SEV_DEBUG = 7 }
## Public Member Functions
| Event (Broker *broker, SchemaClass *schemaClass, framing::Buffer &buffer)
Broker * | getBroker () const
const ClassKey & | getClassKey () const
SchemaClass * | getSchema () const
const Object::AttributeMap & | getAttributes () const
uint64_t | getTimestamp () const
uint8_t | getSeverity () const
std::string | getSeverityString () const
ObjectId | attrRef (const std::string &key) const
uint32_t | attrUint (const std::string &key) const
int32_t | attrInt (const std::string &key) const
uint64_t | attrUint64 (const std::string &key) const
int64_t | attrInt64 (const std::string &key) const
std::string | attrString (const std::string &key) const
bool | attrBool (const std::string &key) const
float | attrFloat (const std::string &key) const
double | attrDouble (const std::string &key) const
framing::Uuid | attrUuid (const std::string &key) const
framing::FieldTable | attrMap (const std::string &key) const

## Member Enumeration Documentation

enum qpid::console::Event::Severity

Enumerator:

  SEV_EMERGENCY |
  SEV_ALERT |
  SEV_CRITICAL |
  SEV_ERROR |
  SEV_WARNING |
  SEV_NOTICE |
  SEV_INFO |
  SEV_DEBUG |

Definition at line 45 of file Event.h.

## Constructor & Destructor Documentation

qpid::console::Event::Event | ( | Broker * | broker,
|  | SchemaClass * | schemaClass,
|  | framing::Buffer & | buffer
| ) |  |

## Member Function Documentation

bool qpid::console::Event::attrBool | ( | const std::string & | key | ) | const

double qpid::console::Event::attrDouble | ( | const std::string & | key | ) | const

float qpid::console::Event::attrFloat | ( | const std::string & | key | ) | const

int32_t qpid::console::Event::attrInt | ( | const std::string & | key | ) | const

int64_t qpid::console::Event::attrInt64 | ( | const std::string & | key | ) | const

framing::FieldTable qpid::console::Event::attrMap | ( | const std::string & | key | ) | const

ObjectId qpid::console::Event::attrRef | ( | const std::string & | key | ) | const

std::string qpid::console::Event::attrString | ( | const std::string & | key | ) | const

uint32_t qpid::console::Event::attrUint | ( | const std::string & | key | ) | const

uint64_t qpid::console::Event::attrUint64 | ( | const std::string & | key | ) | const

framing::Uuid qpid::console::Event::attrUuid | ( | const std::string & | key | ) | const

const Object::AttributeMap& qpid::console::Event::getAttributes | ( |  | ) | const`[inline]`

Definition at line 56 of file Event.h.

Broker* qpid::console::Event::getBroker | ( |  | ) | const`[inline]`

Definition at line 53 of file Event.h.

const ClassKey& qpid::console::Event::getClassKey | ( |  | ) | const

SchemaClass* qpid::console::Event::getSchema | ( |  | ) | const`[inline]`

Definition at line 55 of file Event.h.

uint8_t qpid::console::Event::getSeverity | ( |  | ) | const`[inline]`

Definition at line 58 of file Event.h.

std::string qpid::console::Event::getSeverityString | ( |  | ) | const

uint64_t qpid::console::Event::getTimestamp | ( |  | ) | const`[inline]`

Definition at line 57 of file Event.h.

The documentation for this class was generated from the following file:

- qpid/console/Event.h